<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Vista para el caso de uso Revisar solicitud vía web y solicitar correcciones
                llama el caso de uso CU-SA-AC-151 para mostrar los detalles acerca de la solcitud 
                        
@cu 			CU-SA-AC-150

  
@ManagedBean 	RevisionSolicitudWebMB
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Revisar solicitud vía web y solicitar correcciones::.
    </ui:define>

    <ui:define name="content">
        <h:panelGrid id="infoSolicitud" width="100%">

            <h:panelGrid columns="2">
                <h:outputLabel value="No. Solicitud"
                               styleClass="outputLabelStyle" />

                <h:outputText value="#{revisarSolicitudWeb.solicitud.numero}"/>

            </h:panelGrid>
            <ui:include src="informacionSolicitud.xhtml">

                <ui:param name="mostrarSecRadicadosParam"
                          value="false" />
            </ui:include>

        </h:panelGrid>

        <p:outputPanel layout="block" style="text-align:right">
            <h:form>

                <h:panelGrid columns="3" cellspacing="7">
                    <p:commandButton
                        value="Aprobar solicitud" icon="ui-icon-check"
                        oncomplete="statusDialog2.hide();confirmacionAprobarSolicitudWV.show()"/>
                    <p:commandButton
                        value="Solicitar correcciones" icon="ui-icon-arrowthick-1-e"
                        oncomplete="statusDialog2.hide();correccionesSolictudWV.show()" />

                </h:panelGrid>
                <p:commandButton value="Cerrar"
                                 action="#{revisarSolicitudWeb.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </h:form>
        </p:outputPanel>

        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="988" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml" />
            </p:panel>
        </p:dialog>

        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Adminsitrar anexos" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="1000">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <p:dialog id="correccionesSolictud" widgetVar="correccionesSolictudWV"
                  header="Ajustes solicitados al usuario" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true">
            <h:form>
                <h:panelGrid width="100%">

                    <p:spacer height="10" />
                    <h:outputLabel value="Ajustes solicitados al usuario"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="10" />
<!--                    <h:inputTextarea cols="100" rows="10" value="#{revisarSolicitudWeb.correccionesSolicitadas}">-->

                    <p:editor requiredMessage="El debe ingresar correciones solicitadas."
                              value="#{revisarSolicitudWeb.correccionesSolicitadas}"
                              id="considerando" widgetVar="considerando" required="true"
                              width="700"	height="200" controls="bold italic | style |
                              bullets numbering | outdent indent | alignleft justify | undo redo  | 
                              cut copy paste pastetext | print " />


                    <h:panelGrid columns="2" cellspacing="2">
                        <p:commandButton
                            id="correccionesBtn"
                            action="#{revisarSolicitudWeb.solicitarCorrecciones}"
                            value="Enviar solicitud de correcciones" icon="ui-icon-check"
                            onstart="statusDialog2.show()"
                            oncomplete="statusDialog2.hide();correccionesSolictudWV.hide()"/>
                        <p:commandButton
                            value="Cancelar" icon="ui-icon-close"
                            oncomplete="statusDialog2.hide();correccionesSolictudWV.hide()" 
                            />

                    </h:panelGrid>

                </h:panelGrid>
            </h:form>

        </p:dialog>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de aprobar la solicitud?"
            confirmDialogWV="confirmacionAprobarSolicitudWV"
            voidActionOnYes="#{revisarSolicitudWeb.aprobarSolicitud}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="false" useStringActionOnNo="false" actionOnNoIsClose="true"/>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true"
                                 thisIdPlusColon=":dpCC" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{administracionDocumentacionAvaluoComercial.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

    </ui:define>


</ui:composition>
